#!/bin/ash
tkt=$1
min=$2
max=$3

if [ -z $1 ]; then
	printf "partial_invoices.sh t# start_date end_date
partial_invoice.sh 11 2022-12-01 2023-12-31
"
	exit 1
fi

if [ -z $3 ]; then
	max=$(date +%Y-%m-%d)
fi

minutes=$(sqlite3 tkts.db "select sum(time) from records where tkt_num = $tkt and created_on between '$min' and '$max';")
hours=$(printf %.2f $(echo "$minutes / 60" | bc -l))
rate=$(grep rate tkts.conf | awk -F' = ' '{print $2}' | sed 's/"//g' | sed 's/,//g' | awk -F'.' '{print $1}')
billable=$(printf %.2f $(echo "$hours * $rate" | bc -l))

printf "Ticket: $tkt [$min - $max]
Minutes: $minutes | Hours: $hours | Rate: $rate
Billable: \$$billable
"
