#!/bin/ash
tkt=$1
min=$2
max=$3
rate=$(grep rate tkts.conf | awk -F' = ' '{print $2}' | sed 's/"//g' | sed 's/,//g' | awk -F'.' '{print $1}')

if [ -z $1 ]; then
	echo "Usage: time_breakdown.sh #"
	exit
fi

if [ -z $3 ]; then
	max=$(date +%Y-%m-%d)
fi

if [ -z $2 ]; then
	sqlite3 -header -column tkts.db "select id,time,created_on from records where tkt_num = $tkt;"
	totalm=$(sqlite3 tkts.db "select total(time) from records where tkt_num = $tkt;")
else
	sqlite3 -header -column tkts.db "select id,time,created_on from records where tkt_num = $tkt and created_on between '$min' and '$max';"
	totalm=$(sqlite3 tkts.db "select total(time) from records where tkt_num = '$tkt' and created_on between '$min' and '$max';")
fi

totalh=$(printf %.2f $(echo "$totalm / 60" | bc -l))
totalb=$(printf %.2f $(echo "$totalh * $rate" | bc -l))
totaladj=$(printf %.2f $(echo "($rate + 10) * $totalh" | bc -l))

echo "Total Minutes: $totalm"
echo "Total Hours: $totalh"
echo "Billable: $totalb"
echo "Billable w/ adjustment: $totaladj"
